%bcond_without check

%global srcname joblib

Summary: Lightweight pipelining: using Python functions as pipeline jobs
Name:  python-%{srcname}
Version: 1.2.0
Release: 2%{?dist}
License: BSD
URL: https://joblib.readthedocs.io
Source0: %{pypi_source}
Patch3000: joblib-unbundle-cloudpickle.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist cloudpickle}

%description
Joblib is a set of tools to provide lightweight pipelining in Python. It is optimized to be 
fast and robust on large data in particular and has specific optimizations for numpy arrays.

%package -n python3-%{srcname}
Summary: %{summary}

%if %{with check}
BuildRequires:  %{py3_dist pytest numpy lz4 psutil threadpoolctl}
%endif
Recommends: %{py3_dist numpy lz4 psutil}
Provides: bundled(python3dist(loky)) = 2.9.0

%description -n python3-%{srcname}
Joblib is a set of tools to provide lightweight pipelining in Python. It is optimized to be 
fast and robust on large data in particular and has specific optimizations for numpy arrays.

%prep
%autosetup -p1 -n %{srcname}-%{version}
rm joblib/externals/cloudpickle/ -rf

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files joblib

%if %{with check}
%check
%pytest \
 --deselect "joblib/test/test_memory.py::test_parallel_call_cached_function_defined_in_jupyter" \
 --deselect "joblib/test/test_numpy_pickle.py::test_compress_mmap_mode_warning" \
  joblib

%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Wang Guodong <gordonwwang@tencent.com> - 1.2.0-1
- initial build
